Index: code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.cc	(revision 10768)
@@ -68,5 +68,5 @@
 
     //! Static pointer to the singleton
-    ApplicationPaths* ApplicationPaths::singletonPtr_s  = 0;
+    ApplicationPaths* ApplicationPaths::singletonPtr_s  = nullptr;
 
     ApplicationPaths::ApplicationPaths()
Index: code/branches/cpp11_v2/src/libraries/core/BaseObject.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/BaseObject.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/BaseObject.cc	(revision 10768)
@@ -65,7 +65,7 @@
         this->bRegisteredEventStates_ = false;
 
-        this->lastLoadedXMLElement_ = 0;
-
-        this->mainStateFunctor_ = 0;
+        this->lastLoadedXMLElement_ = nullptr;
+
+        this->mainStateFunctor_ = nullptr;
 
         if (context)
@@ -86,5 +86,5 @@
         else
         {
-            this->file_ = 0;
+            this->file_ = nullptr;
             this->sceneID_ = OBJECTID_UNKNOWN;
         }
@@ -132,5 +132,5 @@
         XMLPortObject(BaseObject, BaseObject, "eventlisteners", addEventListener, getEventListener, xmlelement, mode);
 
-        Element* events = 0;
+        Element* events = nullptr;
         if (mode == XMLPort::LoadObject || mode == XMLPort::ExpandObject)
             events = xmlelement.FirstChildElement("events", false);
@@ -240,5 +240,5 @@
             i++;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -278,5 +278,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -302,5 +302,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -331,5 +331,5 @@
             return (it->second);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -423,5 +423,5 @@
     void BaseObject::changedMainStateName()
     {
-        this->mainStateFunctor_ = 0;
+        this->mainStateFunctor_ = nullptr;
 
         if (!this->mainStateName_.empty())
Index: code/branches/cpp11_v2/src/libraries/core/BaseObject.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/BaseObject.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/BaseObject.h	(revision 10768)
@@ -218,5 +218,5 @@
             bool                       bInitialized_;          //!< True if the object was initialized (passed the object registration)
             const XMLFile*             file_;                  //!< The XMLFile that loaded this object
-            Element*                   lastLoadedXMLElement_;  //!< Non 0 if the TinyXML attributes have already been copied to our own lowercase map
+            Element*                   lastLoadedXMLElement_;  //!< Non nullptr if the TinyXML attributes have already been copied to our own lowercase map
             std::map<std::string, std::string> xmlAttributes_; //!< Lowercase XML attributes
             std::string                loaderIndentation_;     //!< Indentation of the debug output in the Loader
Index: code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.cc	(revision 10768)
@@ -207,5 +207,5 @@
             return ((*this->nodes_.top().first) == compare);
         else
-            return (compare == 0);
+            return (compare == nullptr);
     }
 
@@ -218,5 +218,5 @@
             return ((*this->nodes_.top().first) != compare);
         else
-            return (compare != 0);
+            return (compare != nullptr);
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.h	(revision 10768)
@@ -211,5 +211,5 @@
             inline const ClassTreeMask& begin() const { return (*this); }
             /// End of the ClassTreeMaskObjectIterator.
-            inline BaseObject*          end()   const { return 0; }
+            inline BaseObject*          end()   const { return nullptr; }
 
             ClassTreeMask& operator=(const ClassTreeMask& other);
@@ -285,7 +285,7 @@
 
             /// Returns true if the ClassTreeMaskObjectIterator points at the given object.
-            inline bool operator==(BaseObject* pointer) const { return (this->objectIterator_ && (*this->objectIterator_) == pointer) || (!this->objectIterator_ && pointer == 0); }
+            inline bool operator==(BaseObject* pointer) const { return (this->objectIterator_ && (*this->objectIterator_) == pointer) || (!this->objectIterator_ && pointer == nullptr); }
             /// Returns true if the ClassTreeMaskObjectIterator doesn't point at the given object.
-            inline bool operator!=(BaseObject* pointer) const { return (this->objectIterator_ && (*this->objectIterator_) != pointer) || (!this->objectIterator_ && pointer != 0); }
+            inline bool operator!=(BaseObject* pointer) const { return (this->objectIterator_ && (*this->objectIterator_) != pointer) || (!this->objectIterator_ && pointer != nullptr); }
             /// Returns true if the ClassTreeMaskObjectIterator hasn't already reached the end.
             inline operator bool() const { return (this->objectIterator_); }
Index: code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc	(revision 10768)
@@ -67,5 +67,5 @@
 
     //! Static pointer to the singleton
-    ConfigurablePaths* ConfigurablePaths::singletonPtr_s  = 0;
+    ConfigurablePaths* ConfigurablePaths::singletonPtr_s  = nullptr;
 
     SetCommandLineArgument(externalDataPath, "").information("Path to the external data files");
Index: code/branches/cpp11_v2/src/libraries/core/Core.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Core.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Core.cc	(revision 10768)
@@ -83,5 +83,5 @@
 {
     //! Static pointer to the singleton
-    Core* Core::singletonPtr_s  = 0;
+    Core* Core::singletonPtr_s  = nullptr;
 
     SetCommandLineArgument(settingsFile, "orxonox.ini").information("THE configuration file");
Index: code/branches/cpp11_v2/src/libraries/core/GUIManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/GUIManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/GUIManager.cc	(revision 10768)
@@ -248,5 +248,5 @@
     static CEGUI::MouseButton convertButton(MouseButtonCode::ByEnum button);
 
-    GUIManager* GUIManager::singletonPtr_s = 0;
+    GUIManager* GUIManager::singletonPtr_s = nullptr;
     /*static*/ const std::string GUIManager::defaultScheme_ = "TaharezGreen"; //Alternative: Orxonox (not fully complete yet, see the graphics menu)
 
@@ -337,5 +337,5 @@
         // Create the CEGUI system singleton
 #ifdef ORXONOX_OLD_CEGUI
-        guiSystem_ = new System(guiRenderer_, resourceProvider_, 0, scriptModule_);
+        guiSystem_ = new System(guiRenderer_, resourceProvider_, nullptr, scriptModule_);
         // Add functions that have been renamed in newer versions
         luaState_->doString("CEGUI.SchemeManager.create = CEGUI.SchemeManager.loadScheme");
@@ -343,5 +343,5 @@
         luaState_->doString("CEGUI.ImagesetManager.createFromImageFile= CEGUI.ImagesetManager.createImagesetFromImageFile");
 #else
-        guiSystem_ = &System::create(*guiRenderer_, resourceProvider_, 0, imageCodec_, scriptModule_);
+        guiSystem_ = &System::create(*guiRenderer_, resourceProvider_, nullptr, imageCodec_, scriptModule_);
 #endif
 
@@ -468,5 +468,5 @@
 #ifdef ORXONOX_OLD_CEGUI
         if (camera == nullptr)
-            this->guiRenderer_->setTargetSceneManager(0);
+            this->guiRenderer_->setTargetSceneManager(nullptr);
         else
             this->guiRenderer_->setTargetSceneManager(camera->getSceneManager());
Index: code/branches/cpp11_v2/src/libraries/core/GUIManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10768)
@@ -135,5 +135,5 @@
         inline void setPlayer(const std::string& guiname, PlayerInfo* player)
             { this->players_[guiname] = player; }
-        inline orxonox::PlayerInfo* getPlayer(const std::string& guiname) const { std::map<std::string, PlayerInfo*>::const_iterator it = this->players_.find(guiname); return (it != this->players_.end()) ? it->second : 0; } // tolua_export
+        inline orxonox::PlayerInfo* getPlayer(const std::string& guiname) const { std::map<std::string, PlayerInfo*>::const_iterator it = this->players_.find(guiname); return (it != this->players_.end()) ? it->second : nullptr; } // tolua_export
 
         // TODO: Temporary hack because the tolua exported CEGUI method does not seem to work
Index: code/branches/cpp11_v2/src/libraries/core/Game.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Game.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Game.cc	(revision 10768)
@@ -66,5 +66,5 @@
 
     std::map<std::string, GameStateInfo> Game::gameStateDeclarations_s;
-    Game* Game::singletonPtr_s = 0;
+    Game* Game::singletonPtr_s = nullptr;
 
     //! Represents one node of the game state tree.
Index: code/branches/cpp11_v2/src/libraries/core/GraphicsManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/GraphicsManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/GraphicsManager.cc	(revision 10768)
@@ -93,5 +93,5 @@
     };
 
-    GraphicsManager* GraphicsManager::singletonPtr_s = 0;
+    GraphicsManager* GraphicsManager::singletonPtr_s = nullptr;
 
     RegisterAbstractClass(GraphicsManager).inheritsFrom<Configurable>();
@@ -99,6 +99,6 @@
     GraphicsManager::GraphicsManager(bool bLoadRenderer)
         : ogreWindowEventListener_(new OgreWindowEventListener())
-        , renderWindow_(0)
-        , viewport_(0)
+        , renderWindow_(nullptr)
+        , viewport_(nullptr)
         , lastFrameStartTime_(0.0f)
         , lastFrameEndTime_(0.0f)
@@ -304,5 +304,5 @@
         //       But in our case we only have one viewport for now anyway, therefore
         //       no ScopeGuards or anything to handle exceptions.
-        this->viewport_ = this->renderWindow_->addViewport(0, 0);
+        this->viewport_ = this->renderWindow_->addViewport(nullptr, 0);
 
         Ogre::TextureManager::getSingleton().setDefaultNumMipmaps(Ogre::MIP_UNLIMITED);
@@ -312,5 +312,5 @@
         HWND hwnd;
         this->renderWindow_->getCustomAttribute("WINDOW", (void*)&hwnd);
-        LONG iconID = (LONG)LoadIcon(GetModuleHandle(0), MAKEINTRESOURCE(101));
+        LONG iconID = (LONG)LoadIcon(GetModuleHandle(nullptr), MAKEINTRESOURCE(101));
         SetClassLong(hwnd, GCL_HICON, iconID);
 #endif
Index: code/branches/cpp11_v2/src/libraries/core/Language.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Language.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Language.cc	(revision 10768)
@@ -88,5 +88,5 @@
     // ###############################
 
-    Language* Language::singletonPtr_s = 0;
+    Language* Language::singletonPtr_s = nullptr;
 
     /**
Index: code/branches/cpp11_v2/src/libraries/core/Loader.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Loader.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Loader.cc	(revision 10768)
@@ -48,5 +48,5 @@
 namespace orxonox
 {
-    Loader* Loader::singletonPtr_s = 0;
+    Loader* Loader::singletonPtr_s = nullptr;
 
     /**
Index: code/branches/cpp11_v2/src/libraries/core/Namespace.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Namespace.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Namespace.cc	(revision 10768)
@@ -109,5 +109,5 @@
     const BaseObject* Namespace::saveObjects(unsigned int index) const
     {
-        return 0; // todo
+        return nullptr; // todo
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/NamespaceNode.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/NamespaceNode.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/NamespaceNode.h	(revision 10768)
@@ -46,5 +46,5 @@
     {
         public:
-            NamespaceNode(const std::string& name, NamespaceNode* parent = 0);
+            NamespaceNode(const std::string& name, NamespaceNode* parent = nullptr);
             ~NamespaceNode();
 
Index: code/branches/cpp11_v2/src/libraries/core/Template.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Template.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Template.cc	(revision 10768)
@@ -49,5 +49,5 @@
         this->bLoadDefaults_ = true;
         this->bIsReturningXMLElement_ = false;
-        this->baseclassIdentifier_ = 0;
+        this->baseclassIdentifier_ = nullptr;
     }
 
@@ -176,5 +176,5 @@
         {
             orxout(internal_warning, context::templates) << "Template with name " << name << " doesn't exist." << endl;
-            return 0;
+            return nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/libraries/core/Thread.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Thread.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Thread.cc	(revision 10768)
@@ -48,5 +48,5 @@
 
     Thread::Thread():
-        executor_(0),
+        executor_(nullptr),
         isWorking_(false),
         stopThread_(false)
@@ -102,5 +102,5 @@
                 (*executor)();
                 this->executorMutex_->lock();
-                this->executor_ = 0;
+                this->executor_ = nullptr;
                 this->executorMutex_->unlock();
                 this->isWorkingMutex_->lock();
Index: code/branches/cpp11_v2/src/libraries/core/ThreadWin.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ThreadWin.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ThreadWin.cc	(revision 10768)
@@ -45,5 +45,5 @@
 
     Thread::Thread():
-        executor_(0),
+        executor_(nullptr),
         isWorking_(false),
         stopThread_(false)
@@ -101,5 +101,5 @@
 //                 (*executor)();
 //                 this->executorMutex_->lock();
-//                 this->executor_ = 0;
+//                 this->executor_ = nullptr;
 //                 this->executorMutex_->unlock();
 //                 this->isWorkingMutex_->lock();
Index: code/branches/cpp11_v2/src/libraries/core/XMLPort.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/XMLPort.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/XMLPort.h	(revision 10768)
@@ -245,5 +245,5 @@
             return my_added_objects[index];
           else
-            return 0;
+            return nullptr;
         }
       @endcode
@@ -399,5 +399,5 @@
                             // Iterate through the attributes manually in order to make them case insensitive
                             ticpp::Attribute* attribute = xmlelement.FirstAttribute(false);
-                            while (attribute != 0)
+                            while (attribute != nullptr)
                             {
                                 this->owner_->xmlAttributes_[getLowercase(attribute->Name())] = attribute->Value();
Index: code/branches/cpp11_v2/src/libraries/core/class/Identifiable.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/Identifiable.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/Identifiable.cc	(revision 10768)
@@ -48,5 +48,5 @@
     Identifiable::Identifiable()
     {
-        this->identifier_ = 0;
+        this->identifier_ = nullptr;
         this->objectPointers_.reserve(6); // Optimisation
 
Index: code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc	(revision 10768)
@@ -117,5 +117,5 @@
             orxout(user_error) << "Aborting..." << endl;
             abort();
-            return 0;
+            return nullptr;
         }
     }
@@ -393,5 +393,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -407,5 +407,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -438,5 +438,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/class/Identifier.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10768)
@@ -56,5 +56,5 @@
     object->getIdentifier()->getName();                                         // returns "MyClass"
 
-    Identifiable* other = object->getIdentifier()->fabricate(0);                // fabricates a new instance of MyClass
+    Identifiable* other = object->getIdentifier()->fabricate(nullptr);                // fabricates a new instance of MyClass
 
 
@@ -137,5 +137,5 @@
 
             /// Returns true if the Identifier has a Factory.
-            inline bool hasFactory() const { return (this->factory_ != 0); }
+            inline bool hasFactory() const { return (this->factory_ != nullptr); }
 
             Identifiable* fabricate(Context* context);
@@ -297,5 +297,5 @@
 
             virtual bool canDynamicCastObjectToIdentifierClass(Identifiable* object) const
-                { return dynamic_cast<T*>(object) != 0; }
+                { return dynamic_cast<T*>(object) != nullptr; }
 
             virtual void destroyObjects();
@@ -408,5 +408,5 @@
     void ClassIdentifier<T>::destroyObjects()
     {
-        this->destroyObjects((T*)0);
+        this->destroyObjects((T*)nullptr);
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.cc	(revision 10768)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    IdentifierManager* IdentifierManager::singletonPtr_s = 0;
+    IdentifierManager* IdentifierManager::singletonPtr_s = nullptr;
 
     IdentifierManager::IdentifierManager()
@@ -221,5 +221,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -235,5 +235,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -249,5 +249,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -263,5 +263,5 @@
             if ((*it)->getTypeInfo() == typeInfo)
                 return (*it);
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/class/SubclassIdentifier.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/SubclassIdentifier.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/SubclassIdentifier.h	(revision 10768)
@@ -189,5 +189,5 @@
                     orxout(user_error) << "Aborting..." << endl;
                     abort();
-                    return 0;
+                    return nullptr;
                 }
             }
Index: code/branches/cpp11_v2/src/libraries/core/class/Super.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/Super.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/Super.h	(revision 10768)
@@ -94,5 +94,5 @@
             static void superCheck() \
             { \
-                SuperFunctionCondition<functionnumber, T, 0, templatehack2>::apply(static_cast<T*>(0)); \
+                SuperFunctionCondition<functionnumber, T, 0, templatehack2>::apply(static_cast<T*>(nullptr)); \
                 SuperFunctionCondition<functionnumber + 1, T, 0, templatehack2>::superCheck(); \
             } \
@@ -108,5 +108,5 @@
                     { \
                         delete ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_; \
-                        ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_ = 0; \
+                        ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_ = nullptr; \
                         ((ClassIdentifier<T>*)(*it))->bSuperFunctionCaller_##functionname##_isFallback_ = false; \
                     } \
@@ -154,5 +154,5 @@
                 // This call to the apply-function is the whole check. By calling the function with
                 // a T* pointer, the right function get's called.
-                SuperFunctionCondition<functionnumber, T, 0, templatehack2>::apply(static_cast<T*>(0));
+                SuperFunctionCondition<functionnumber, T, 0, templatehack2>::apply(static_cast<T*>(nullptr));
 
                 // Go go the superCheck for of next super-function (functionnumber + 1)
@@ -178,5 +178,5 @@
                         // Delete the fallback caller an prepare to get a real caller
                         delete ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_;
-                        ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_ = 0;
+                        ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_ = nullptr;
                         ((ClassIdentifier<T>*)(*it))->bSuperFunctionCaller_##functionname##_isFallback_ = false;
                     }
Index: code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc	(revision 10768)
@@ -54,6 +54,6 @@
     void CommandEvaluation::initialize(const std::string& command)
     {
-        this->execCommand_ = 0;
-        this->hintCommand_ = 0;
+        this->execCommand_ = nullptr;
+        this->hintCommand_ = nullptr;
         this->string_ = command;
         this->execArgumentsOffset_ = 0;
Index: code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.h	(revision 10768)
@@ -86,5 +86,5 @@
 
             int execute();
-            MultiType query(int* error = 0);
+            MultiType query(int* error = nullptr);
 
             std::string complete();
@@ -97,5 +97,5 @@
             /// Returns true if the command evaluation contains a valid command that can be executed.
             inline bool isValid() const
-                { return (this->execCommand_ != 0); }
+                { return (this->execCommand_ != nullptr); }
 
             /// Returns the console command that was evaluated by this object.
Index: code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h	(revision 10768)
@@ -113,6 +113,6 @@
             static int execute(const std::string& command, bool useTcl = true, bool printErrors = true); // tolua_export
 
-            static MultiType queryMT(const std::string& command, int* error = 0, bool useTcl = true);
-            static std::string query(const std::string& command, int* error = 0, bool useTcl = true); // tolua_export
+            static MultiType queryMT(const std::string& command, int* error = nullptr, bool useTcl = true);
+            static std::string query(const std::string& command, int* error = NULL, bool useTcl = true); // tolua_export
 
             static CommandEvaluation evaluate(const std::string& command);
Index: code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10768)
@@ -76,5 +76,5 @@
 
         for (size_t i = 0; i < MAX_FUNCTOR_ARGUMENTS; ++i)
-            this->argumentCompleter_[i] = 0;
+            this->argumentCompleter_[i] = nullptr;
 
         this->keybindMode_ = KeybindMode::OnPress;
@@ -353,5 +353,5 @@
     {
         if (this->executor_)
-            this->executor_->setFunctor(0);
+            this->executor_->setFunctor(nullptr);
         this->objectStack_.clear();
     }
@@ -405,5 +405,5 @@
     void ConsoleCommand::popObject()
     {
-        void* newobject = 0;
+        void* newobject = nullptr;
         if (!this->objectStack_.empty())
         {
@@ -422,5 +422,5 @@
             return this->executor_->getFunctor()->getRawObjectPointer();
         else
-            return 0;
+            return nullptr;
     }
 
@@ -528,5 +528,5 @@
             return this->argumentCompleter_[index];
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandManager.cc	(revision 10768)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    ConsoleCommandManager* ConsoleCommandManager::singletonPtr_s = 0;
+    ConsoleCommandManager* ConsoleCommandManager::singletonPtr_s = nullptr;
 
     /**
@@ -68,5 +68,5 @@
                 orxout(internal_error, context::commands) << "Couldn't find console command with group \"" << group << "\" and name \"" << name << "\"" << endl;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -101,5 +101,5 @@
                 orxout(internal_error, context::commands) << "Couldn't find console command with group \"" << group << "\" and name \"" << name << "\"" << endl;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -125,5 +125,5 @@
 
         // check if a command with this name already exists
-        if (this->getCommand(group, name) != 0)
+        if (this->getCommand(group, name) != nullptr)
         {
             if (group == "")
Index: code/branches/cpp11_v2/src/libraries/core/command/Executor.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/Executor.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/Executor.h	(revision 10768)
@@ -121,8 +121,8 @@
                 { return (*this->functor_)(arg1, arg2, arg3, arg4, arg5); }
 
-            MultiType parse(const std::string& arguments, int* error = 0, const std::string& delimiter = " ", bool bPrintError = false) const;
-            MultiType parse(const SubString& arguments, int* error = 0, const std::string& delimiter = " ", bool bPrintError = false) const;
-
-            int evaluateArguments(const SubString& arguments, MultiType arg[MAX_FUNCTOR_ARGUMENTS], int* error = 0, const std::string& delimiter = " ") const;
+            MultiType parse(const std::string& arguments, int* error = nullptr, const std::string& delimiter = " ", bool bPrintError = false) const;
+            MultiType parse(const SubString& arguments, int* error = nullptr, const std::string& delimiter = " ", bool bPrintError = false) const;
+
+            int evaluateArguments(const SubString& arguments, MultiType arg[MAX_FUNCTOR_ARGUMENTS], int* error = nullptr, const std::string& delimiter = " ") const;
 
             /// Changes the functor.
@@ -249,5 +249,5 @@
 
             /// Overloads Executor::parse() with an additional object-pointer.
-            MultiType parse(T* object, const std::string& arguments, int* error = 0, const std::string& delimiter = " ", bool bPrintError = false) const
+            MultiType parse(T* object, const std::string& arguments, int* error = nullptr, const std::string& delimiter = " ", bool bPrintError = false) const
             {
                 T* oldobject = this->functorMember_->getObject();
Index: code/branches/cpp11_v2/src/libraries/core/command/Functor.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10768)
@@ -242,5 +242,5 @@
         public:
             /// Constructor: Stores the object-pointer.
-            FunctorMember(O* object = 0) : object_(object), bSafeMode_(false) {}
+            FunctorMember(O* object = nullptr) : object_(object), bSafeMode_(false) {}
             virtual ~FunctorMember() { if (this->bSafeMode_) { this->unregisterObject(this->object_); } }
 
@@ -310,5 +310,5 @@
             /// Will be called by Destroyable::~Destroyable() if the stored object is deleted and the Functor is in safe mode.
             inline void objectDeleted()
-                { this->object_ = 0; }
+                { this->object_ = nullptr; }
 
             O* object_;     ///< The stored object-pointer, used to execute a member-function (or nullptr for static functions)
@@ -322,5 +322,5 @@
         public:
             /// Constructor: Stores the object-pointer.
-            FunctorMember(void* object = 0) {}
+            FunctorMember(void* object = nullptr) {}
 
             /// Calls the function-pointer with up to five arguments and an object. In case of a static-function, the object can be nullptr. @return Returns the return-value of the function (if any; MultiType::Null otherwise)
@@ -330,5 +330,5 @@
             MultiType operator()(const MultiType& param1 = MultiType::Null, const MultiType& param2 = MultiType::Null, const MultiType& param3 = MultiType::Null, const MultiType& param4 = MultiType::Null, const MultiType& param5 = MultiType::Null)
             {
-                return (*this)((void*)0, param1, param2, param3, param4, param5);
+                return (*this)((void*)nullptr, param1, param2, param3, param4, param5);
             }
 
@@ -342,5 +342,5 @@
             // see Functor::getRawObjectPointer()
             inline void* getRawObjectPointer() const
-                { return 0; }
+                { return nullptr; }
 
             // see Functor::setSafeMode()
@@ -369,5 +369,5 @@
         public:
             /// Constructor: Initializes the base class and stores the function-pointer.
-            FunctorPointer(F functionPointer, O* object = 0) : FunctorMember<O>(object), functionPointer_(functionPointer) {}
+            FunctorPointer(F functionPointer, O* object = nullptr) : FunctorMember<O>(object), functionPointer_(functionPointer) {}
 
             /// Changes the function-pointer.
@@ -494,5 +494,5 @@
         public:
             /// Constructor: Initializes the base class.
-            FunctorTemplate(typename detail::FunctionPointer<R, O, isconst, P1, P2, P3, P4, P5>::Type functionPointer, O* object = 0) : FunctorPointer<typename detail::FunctionPointer<R, O, isconst, P1, P2, P3, P4, P5>::Type, O>(functionPointer, object) {}
+            FunctorTemplate(typename detail::FunctionPointer<R, O, isconst, P1, P2, P3, P4, P5>::Type functionPointer, O* object = nullptr) : FunctorPointer<typename detail::FunctionPointer<R, O, isconst, P1, P2, P3, P4, P5>::Type, O>(functionPointer, object) {}
 
             // see FunctorMember::operator()()
Index: code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.cc	(revision 10768)
@@ -62,5 +62,5 @@
         , promptString_("orxonox # ")
         , bStatusPrinted_(false)
-        , originalTerminalSettings_(0)
+        , originalTerminalSettings_(nullptr)
     {
         this->setTerminalMode();
@@ -326,5 +326,5 @@
             tcsetattr(0, TCSANOW, IOConsole::singletonPtr_s->originalTerminalSettings_);
             delete IOConsole::singletonPtr_s->originalTerminalSettings_;
-            IOConsole::singletonPtr_s->originalTerminalSettings_ = 0;
+            IOConsole::singletonPtr_s->originalTerminalSettings_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/libraries/core/command/IRC.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/IRC.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/IRC.cc	(revision 10768)
@@ -66,5 +66,5 @@
     IRC::IRC()
     {
-        this->interpreter_ = 0;
+        this->interpreter_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/command/TclBind.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/TclBind.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/TclBind.cc	(revision 10768)
@@ -47,5 +47,5 @@
     SetConsoleCommand("bgerror", &TclBind::bgerror).hide();
 
-    TclBind* TclBind::singletonPtr_s = 0;
+    TclBind* TclBind::singletonPtr_s = nullptr;
 
     /**
@@ -55,5 +55,5 @@
     TclBind::TclBind(const std::string& datapath)
     {
-        this->interpreter_ = 0;
+        this->interpreter_ = nullptr;
         this->bSetTclDataPath_ = false;
         this->setDataPath(datapath);
Index: code/branches/cpp11_v2/src/libraries/core/command/TclBind.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/TclBind.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/TclBind.h	(revision 10768)
@@ -121,5 +121,5 @@
             static void tcl_execute(Tcl::object const &args);
 
-            static std::string eval(const std::string& tclcode, int* error = 0);
+            static std::string eval(const std::string& tclcode, int* error = nullptr);
 
         private:
Index: code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc	(revision 10768)
@@ -86,5 +86,5 @@
     };
 
-    TclThreadManager* TclThreadManager::singletonPtr_s = 0;
+    TclThreadManager* TclThreadManager::singletonPtr_s = nullptr;
 
     /**
@@ -289,5 +289,5 @@
         catch (const Tcl::tcl_error& e)
         {
-            bundle->interpreter_ = 0;
+            bundle->interpreter_ = nullptr;
             orxout(user_error, context::tcl) << "Tcl error while creating Tcl-interpreter (" << id_string << "): " << e.what() << endl;
         }
@@ -521,5 +521,5 @@
         {
             TclThreadManager::error("No Tcl-interpreter with ID " + multi_cast<std::string>(id) + " existing.");
-            return 0;
+            return nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc	(revision 10768)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    CommandLineParser* CommandLineParser::singletonPtr_s = 0;
+    CommandLineParser* CommandLineParser::singletonPtr_s = nullptr;
 
     /**
Index: code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10768)
@@ -113,5 +113,5 @@
         if (file.is_open())
         {
-            ConfigFileSection* newsection = 0;
+            ConfigFileSection* newsection = nullptr;
 
             while (file.good() && !file.eof())
@@ -140,5 +140,5 @@
                 }
 
-                if (newsection != 0)
+                if (newsection != nullptr)
                 {
                     if (isComment(line))
Index: code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10768)
@@ -42,5 +42,5 @@
     ///////////////////////
 
-    ConfigFileManager* ConfigFileManager::singletonPtr_s = 0;
+    ConfigFileManager* ConfigFileManager::singletonPtr_s = nullptr;
 
     /// Constructor: Initializes the array of config files with nullptr.
Index: code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.cc	(revision 10768)
@@ -53,5 +53,5 @@
         this->sectionname_ = sectionname;
         this->varname_ = varname;
-        this->callback_ = 0;
+        this->callback_ = nullptr;
         this->bContainerIsNew_ = true;
         this->bDoInitialCallback_ = false;
Index: code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.cc	(revision 10768)
@@ -57,5 +57,5 @@
     SetConsoleCommand(__CC_getConfig_name,       &SettingsConfigFile::getConfig).argumentCompleter(0, autocompletion::settingssections()).argumentCompleter(1, autocompletion::settingsentries());
 
-    SettingsConfigFile* SettingsConfigFile::singletonPtr_s = 0;
+    SettingsConfigFile* SettingsConfigFile::singletonPtr_s = nullptr;
 
     /**
@@ -77,9 +77,9 @@
     SettingsConfigFile::~SettingsConfigFile()
     {
-        ModifyConsoleCommand(__CC_load_name).setObject(0);
-        ModifyConsoleCommand(__CC_setFilename_name).setObject(0);
-        ModifyConsoleCommand(__CC_config_name).setObject(0);
-        ModifyConsoleCommand(__CC_tconfig_name).setObject(0);
-        ModifyConsoleCommand(__CC_getConfig_name).setObject(0);
+        ModifyConsoleCommand(__CC_load_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_setFilename_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_config_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_tconfig_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_getConfig_name).setObject(nullptr);
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/input/Button.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/Button.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/Button.cc	(revision 10768)
@@ -53,5 +53,5 @@
     Button::Button()
         : bButtonThresholdUser_(false)
-        , paramCommandBuffer_(0)
+        , paramCommandBuffer_(nullptr)
     {
         nCommands_[0]=0;
@@ -75,5 +75,5 @@
                     delete commands_[j][i];
                 delete[] commands_[j];
-                commands_[j] = 0;
+                commands_[j] = nullptr;
                 nCommands_[j] = 0;
             }
@@ -206,5 +206,5 @@
                         }
                     }
-                    if (cmd->paramCommand_ == 0)
+                    if (cmd->paramCommand_ == nullptr)
                     {
                         cmd->paramCommand_ = new BufferedParamCommand();
@@ -239,5 +239,5 @@
             }
             else
-                commands_[j] = 0;
+                commands_[j] = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h	(revision 10768)
@@ -49,5 +49,5 @@
             : relVal_(0.0f)
             , absVal_(0.0f)
-            , paramCommands_(0)
+            , paramCommands_(nullptr)
             , nParamCommands_(0)
             , pressed_(false)
Index: code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10768)
@@ -103,5 +103,5 @@
     {
     public:
-        ParamCommand() : scale_(1.0f), paramCommand_(0) { }
+        ParamCommand() : scale_(1.0f), paramCommand_(nullptr) { }
         bool execute(float abs = 1.0f, float rel = 1.0f);
         CommandEvaluation* getEvaluation();
@@ -118,5 +118,5 @@
             return &this->paramCommand_->evaluation_;
         else
-            return 0;
+            return nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10768)
@@ -72,5 +72,5 @@
     InputHandler InputHandler::EMPTY;
 
-    InputManager* InputManager::singletonPtr_s = 0;
+    InputManager* InputManager::singletonPtr_s = nullptr;
 
     //! Defines the |= operator for easier use.
@@ -94,9 +94,9 @@
     InputManager::InputManager()
         : internalState_(Bad)
-        , oisInputManager_(0)
+        , oisInputManager_(nullptr)
         , devices_(2)
         , exclusiveMouse_(false)
-        , emptyState_(0)
-        , calibratorCallbackHandler_(0)
+        , emptyState_(nullptr)
+        , calibratorCallbackHandler_(nullptr)
     {
         RegisterObject(InputManager);
@@ -149,6 +149,6 @@
         // When loading the devices they should not already be loaded
         assert(internalState_ & Bad);
-        assert(devices_[InputDeviceEnumerator::Mouse] == 0);
-        assert(devices_[InputDeviceEnumerator::Keyboard] == 0);
+        assert(devices_[InputDeviceEnumerator::Mouse] == nullptr);
+        assert(devices_[InputDeviceEnumerator::Keyboard] == nullptr);
         assert(devices_.size() == InputDeviceEnumerator::FirstJoyStick);
 
@@ -294,6 +294,6 @@
 
         // Reset console commands
-        ModifyConsoleCommand(__CC_InputManager_name, __CC_calibrate_name).setObject(0);
-        ModifyConsoleCommand(__CC_InputManager_name, __CC_reload_name).setObject(0);
+        ModifyConsoleCommand(__CC_InputManager_name, __CC_calibrate_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_InputManager_name, __CC_reload_name).setObject(nullptr);
 
         orxout(internal_status, context::input) << "InputManager: Destruction complete." << endl;
@@ -316,5 +316,5 @@
             const std::string& className = device->getClassName();
             delete device;
-            device = 0;
+            device = nullptr;
             orxout(verbose, context::input) << className << " destroyed." << endl;
         }
@@ -526,5 +526,5 @@
     {
         if (name.empty())
-            return 0;
+            return nullptr;
         if (statesByName_.find(name) == statesByName_.end())
         {
@@ -539,5 +539,5 @@
                         orxout(internal_warning, context::input) << "Could not add an InputState with the same priority '"
                             << static_cast<int>(priority) << "' != 0." << endl;
-                        return 0;
+                        return nullptr;
                     }
                 }
@@ -551,5 +551,5 @@
         {
             orxout(internal_warning, context::input) << "Could not add an InputState with the same name '" << name << "'." << endl;
-            return 0;
+            return nullptr;
         }
     }
@@ -561,5 +561,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/input/InputState.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputState.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputState.cc	(revision 10768)
@@ -40,7 +40,7 @@
         , bExpired_(true)
         , handlers_(2)
-        , joyStickHandlerAll_(0)
-        , enterFunctor_(0)
-        , leaveFunctor_(0)
+        , joyStickHandlerAll_(nullptr)
+        , enterFunctor_(nullptr)
+        , leaveFunctor_(nullptr)
     {
         if (priority >= InputStatePriority::HighPriority || priority == InputStatePriority::Empty)
Index: code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10768)
@@ -439,5 +439,5 @@
                         {
                             delete[] button->commands_[mode_index];
-                            button->commands_[mode_index] = 0;
+                            button->commands_[mode_index] = nullptr;
                         }
 
Index: code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc	(revision 10768)
@@ -80,8 +80,8 @@
 
         // Reset console commands
-        ModifyConsoleCommand(__CC_keybind_name ).setObject(0);
-        ModifyConsoleCommand(__CC_tkeybind_name).setObject(0);
-        ModifyConsoleCommand(__CC_unbind_name  ).setObject(0);
-        ModifyConsoleCommand(__CC_tunbind_name ).setObject(0);
+        ModifyConsoleCommand(__CC_keybind_name ).setObject(nullptr);
+        ModifyConsoleCommand(__CC_tkeybind_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_unbind_name  ).setObject(nullptr);
+        ModifyConsoleCommand(__CC_tunbind_name ).setObject(nullptr);
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc	(revision 10768)
@@ -68,6 +68,6 @@
     {
 #ifdef ORXONOX_PLATFORM_LINUX
-        ModifyConsoleCommand(__CC_Mouse_name, __CC_grab_name).setObject(0);
-        ModifyConsoleCommand(__CC_Mouse_name, __CC_ungrab_name).setObject(0);
+        ModifyConsoleCommand(__CC_Mouse_name, __CC_grab_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_Mouse_name, __CC_ungrab_name).setObject(nullptr);
 #endif
     }
Index: code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10768)
@@ -38,5 +38,5 @@
     //-----------------------------------------------------------------------
     //! Static pointer to the singleton
-    DynLibManager* DynLibManager::singletonPtr_s  = 0;
+    DynLibManager* DynLibManager::singletonPtr_s  = nullptr;
 
     //-----------------------------------------------------------------------
Index: code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10768)
@@ -46,5 +46,5 @@
     SetConsoleCommand("PluginManager", __CC_PluginManager_unload_name, &PluginManager::unloadPlugin);
 
-    PluginManager* PluginManager::singletonPtr_s  = 0;
+    PluginManager* PluginManager::singletonPtr_s  = nullptr;
 
     PluginManager::PluginManager()
Index: code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc	(revision 10768)
@@ -33,5 +33,5 @@
 namespace orxonox
 {
-    StaticInitializationManager* StaticInitializationManager::singletonPtr_s = 0;
+    StaticInitializationManager* StaticInitializationManager::singletonPtr_s = nullptr;
 
     void StaticInitializationManager::addHandler(StaticInitializationHandler* handler)
Index: code/branches/cpp11_v2/src/libraries/core/object/Context.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10768)
@@ -40,5 +40,5 @@
     RegisterClass(Context);
 
-    Context* Context::rootContext_s = 0;
+    Context* Context::rootContext_s = nullptr;
 
     Context* getContextForInitializationOfOtherContexts()
Index: code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc	(revision 10768)
@@ -58,6 +58,6 @@
     ObjectListBase::ObjectListBase()
     {
-        this->first_ = 0;
-        this->last_ = 0;
+        this->first_ = nullptr;
+        this->last_ = nullptr;
         this->size_ = 0;
     }
@@ -73,7 +73,7 @@
             ObjectListBaseElement* next = current->next_;
 
-            current->list_ = 0;
-            current->next_ = 0;
-            current->prev_ = 0;
+            current->list_ = nullptr;
+            current->next_ = nullptr;
+            current->prev_ = nullptr;
 
             current = next;
@@ -155,7 +155,7 @@
             this->first_ = element->next_; // If there is no prev_, we deleted the first object and have to update the first_ pointer of the list
 
-        element->list_ = 0;
-        element->next_ = 0;
-        element->prev_ = 0;
+        element->list_ = nullptr;
+        element->next_ = nullptr;
+        element->prev_ = nullptr;
         --this->size_;
     }
Index: code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10768)
@@ -57,5 +57,5 @@
                 @param objectBase The object to store
             */
-            ObjectListBaseElement(Listable* object) : next_(0), prev_(0), objectBase_(object), list_(0) {}
+            ObjectListBaseElement(Listable* object) : next_(nullptr), prev_(nullptr), objectBase_(object), list_(nullptr) {}
             virtual ~ObjectListBaseElement() { this->removeFromList(); }
 
@@ -136,9 +136,9 @@
             inline ObjectListBaseElement* begin() const { return this->first_; }
             /// Returns a pointer to the element after the last element in the list. Works only with Iterator.
-            inline ObjectListBaseElement* end() const { return 0; }
+            inline ObjectListBaseElement* end() const { return nullptr; }
             /// Returns a pointer to the last element in the list. Works only with Iterator.
             inline ObjectListBaseElement* rbegin() const { return this->last_; }
             /// Returns a pointer to the element in front of the first element in the list. Works only with Iterator.
-            inline ObjectListBaseElement* rend() const { return 0; }
+            inline ObjectListBaseElement* rend() const { return nullptr; }
 
             inline void registerRemovalListener(ObjectListElementRemovalListener* listener) { this->listeners_.push_back(listener); }
Index: code/branches/cpp11_v2/src/libraries/core/object/StrongPtr.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/StrongPtr.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/StrongPtr.h	(revision 10768)
@@ -138,5 +138,5 @@
         public:
             /// Constructor: Initializes the strong pointer with a null pointer.
-            inline StrongPtr() : pointer_(0), base_(0)
+            inline StrongPtr() : pointer_(nullptr), base_(nullptr)
             {
             }
@@ -237,5 +237,5 @@
             inline T* operator->() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return this->pointer_;
             }
@@ -244,5 +244,5 @@
             inline T& operator*() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return *this->pointer_;
             }
@@ -251,5 +251,5 @@
             inline bool operator!() const
             {
-                return (this->pointer_ == 0);
+                return (this->pointer_ == nullptr);
             }
 
Index: code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h	(revision 10768)
@@ -100,10 +100,10 @@
         public:
             /// Constructor: Initializes the weak pointer with a null pointer.
-            inline WeakPtr() : pointer_(0), base_(0), callback_(0)
+            inline WeakPtr() : pointer_(nullptr), base_(nullptr), callback_(nullptr)
             {
             }
 
             /// Constructor: Initializes the weak pointer with a pointer to an object.
-            inline WeakPtr(T* pointer) : pointer_(pointer), base_(pointer), callback_(0)
+            inline WeakPtr(T* pointer) : pointer_(pointer), base_(pointer), callback_(nullptr)
             {
                 this->registerAsDestructionListener(this->base_);
@@ -111,5 +111,5 @@
 
             /// Copy-constructor
-            inline WeakPtr(const WeakPtr& other) : pointer_(other.pointer_), base_(other.base_), callback_(0)
+            inline WeakPtr(const WeakPtr& other) : pointer_(other.pointer_), base_(other.base_), callback_(nullptr)
             {
                 this->registerAsDestructionListener(this->base_);
@@ -118,5 +118,5 @@
             /// Copy-constructor for weak pointers to objects of another class.
             template <class O>
-            inline WeakPtr(const WeakPtr<O>& other) : pointer_(other.get()), base_(other.getBase()), callback_(0)
+            inline WeakPtr(const WeakPtr<O>& other) : pointer_(other.get()), base_(other.getBase()), callback_(nullptr)
             {
                 this->registerAsDestructionListener(this->base_);
@@ -172,5 +172,5 @@
             inline T* operator->() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return this->pointer_;
             }
@@ -179,5 +179,5 @@
             inline T& operator*() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return *this->pointer_;
             }
@@ -186,5 +186,5 @@
             inline bool operator!() const
             {
-                return (this->pointer_ == 0);
+                return (this->pointer_ == nullptr);
             }
 
@@ -232,6 +232,6 @@
             inline void objectDeleted()
             {
-                this->base_ = 0;
-                this->pointer_ = 0;
+                this->base_ = nullptr;
+                this->pointer_ = nullptr;
                 if (this->callback_)
                     (*this->callback_)();
Index: code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc	(revision 10768)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    ScopeManager* ScopeManager::singletonPtr_s = 0;
+    ScopeManager* ScopeManager::singletonPtr_s = nullptr;
 
     void ScopeManager::addScope(ScopeID::Value scope)
Index: code/branches/cpp11_v2/src/libraries/network/Connection.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/Connection.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/Connection.cc	(revision 10768)
@@ -46,5 +46,5 @@
 
   Connection::Connection(uint32_t firstPeerID):
-    host_(0), bCommunicationThreadRunning_(false), nextPeerID_(firstPeerID)
+    host_(nullptr), bCommunicationThreadRunning_(false), nextPeerID_(firstPeerID)
   {
     enet_initialize();
@@ -81,5 +81,5 @@
   {
 //     this->overallMutex_->lock();
-    outgoingEvent outEvent = { peerID, outgoingEventType::disconnectPeer, 0, 0 };
+    outgoingEvent outEvent = { peerID, outgoingEventType::disconnectPeer, nullptr, 0 };
     
     this->outgoingEventsMutex_->lock();
@@ -91,5 +91,5 @@
   void Connection::disconnectPeers()
   {
-    outgoingEvent outEvent = { 0, outgoingEventType::disconnectPeers, 0, 0 };
+    outgoingEvent outEvent = { 0, outgoingEventType::disconnectPeers, nullptr, 0 };
     
     this->outgoingEventsMutex_->lock();
@@ -323,5 +323,5 @@
     
     // create new peerEvent and return it
-    incomingEvent inEvent = { peerID, incomingEventType::peerConnect, 0 };
+    incomingEvent inEvent = { peerID, incomingEventType::peerConnect, nullptr };
     return inEvent;
   }
@@ -338,5 +338,5 @@
     
     // create new peerEvent and return it
-    incomingEvent inEvent = { peerID, incomingEventType::peerDisconnect, 0 };
+    incomingEvent inEvent = { peerID, incomingEventType::peerDisconnect, nullptr };
     return inEvent;
   }
Index: code/branches/cpp11_v2/src/libraries/network/GamestateHandler.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/GamestateHandler.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/GamestateHandler.cc	(revision 10768)
@@ -32,5 +32,5 @@
 namespace orxonox {
 
-// GamestateHandler *GamestateHandler::instance_=0;
+// GamestateHandler *GamestateHandler::instance_=nullptr;
 
 GamestateHandler::GamestateHandler()
Index: code/branches/cpp11_v2/src/libraries/network/GamestateManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/GamestateManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/GamestateManager.cc	(revision 10768)
@@ -60,5 +60,5 @@
 { 
   GamestateManager::GamestateManager() :
-  currentGamestate_(0), id_(0)
+  currentGamestate_(nullptr), id_(0)
   {
 //     trafficControl_ = new TrafficControl();
@@ -140,5 +140,5 @@
 
   bool GamestateManager::getSnapshot(){
-    if ( currentGamestate_ != 0 )
+    if ( currentGamestate_ != nullptr )
       delete currentGamestate_;
     uint8_t gsMode;
@@ -165,5 +165,5 @@
     { //we have no data to send
       delete currentGamestate_;
-      currentGamestate_=0;
+      currentGamestate_=nullptr;
       return false;
     }
@@ -191,5 +191,5 @@
       unsigned int lastAckedGamestateID = peerIt->second.lastAckedGamestateID;
 
-      packet::Gamestate* baseGamestate=0;
+      packet::Gamestate* baseGamestate=nullptr;
       if(lastAckedGamestateID != GAMESTATEID_INITIAL)
       {
@@ -200,7 +200,7 @@
       }
 
-      peerGamestates.push_back(0);  // insert an empty gamestate* to be changed
+      peerGamestates.push_back(nullptr);  // insert an empty gamestate* to be changed
       finishGamestate( peerID, peerGamestates.back(), baseGamestate, currentGamestate_ );
-      if( peerGamestates.back()==0 )
+      if( peerGamestates.back()==nullptr )
         // nothing to send to remove pointer from vector
         peerGamestates.pop_back();
@@ -243,5 +243,5 @@
       {
         delete diffed1;
-        destgamestate = 0;
+        destgamestate = nullptr;
         return;
       }
Index: code/branches/cpp11_v2/src/libraries/network/Host.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/Host.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/Host.cc	(revision 10768)
@@ -44,5 +44,5 @@
   SetConsoleCommand(__CC_printRTT_group, __CC_printRTT_name, &Host::printRTT);
 
-  // Host*               Host::instance_=0;
+  // Host*               Host::instance_=nullptr;
   uint32_t            Host::clientID_s=0;
 //   uint32_t            Host::shipID_s=-1;
@@ -54,5 +54,5 @@
   Host::Host()
   {
-  //   assert(instance_==0);
+  //   assert(instance_==nullptr);
     instances_s.push_back(this);
     ModifyConsoleCommand(__CC_printRTT_group, __CC_printRTT_name).setObject(this);
@@ -62,5 +62,5 @@
 
   /**
-  * @brief Destructor: resets the instance pointer to 0
+  * @brief Destructor: resets the instance pointer to nullptr
   */
   Host::~Host()
@@ -68,5 +68,5 @@
     assert( std::find( instances_s.begin(), instances_s.end(), this )!=instances_s.end() );
     instances_s.erase(std::find( instances_s.begin(), instances_s.end(), this ));
-    ModifyConsoleCommand(__CC_printRTT_group, __CC_printRTT_name).setObject(0);
+    ModifyConsoleCommand(__CC_printRTT_group, __CC_printRTT_name).setObject(nullptr);
   }
 
@@ -135,5 +135,5 @@
         ++it;
     }
-    return 0;
+    return nullptr;
   }
 
Index: code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc	(revision 10768)
@@ -51,5 +51,5 @@
     this->setConfigValues();
     //     this->setActivity(true);
-    this->host_ = 0;
+    this->host_ = nullptr;
     this->bActive_ = false;
   }
@@ -83,5 +83,5 @@
       bindAddress.host = ENET_HOST_ANY;
       bindAddress.port = LAN_DISCOVERY_PORT;
-      assert( this->host_ == 0 );
+      assert( this->host_ == nullptr );
       this->host_ = enet_host_create( &bindAddress, 10, 0, 0, 0 );
       if ( this->host_ == nullptr )
@@ -91,5 +91,5 @@
     {
       enet_host_destroy( this->host_ );
-      this->host_ = 0;
+      this->host_ = nullptr;
     }
       this->bActive_ = bActive;
Index: code/branches/cpp11_v2/src/libraries/network/NetworkFunction.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/NetworkFunction.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/NetworkFunction.h	(revision 10768)
@@ -144,5 +144,5 @@
     inline bool call(uint32_t objectID)
     {
-      if ( Synchronisable::getSynchronisable(objectID)!=0 )
+      if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
       {
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)));
@@ -154,5 +154,5 @@
     inline bool call(uint32_t objectID, const MultiType& mt1)
     {
-      if ( Synchronisable::getSynchronisable(objectID)!=0 )
+      if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
       {
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1);
@@ -164,5 +164,5 @@
     inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2)
     {
-      if ( Synchronisable::getSynchronisable(objectID)!=0 )
+      if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
       {
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1, mt2);
@@ -174,5 +174,5 @@
     inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3)
     {
-      if ( Synchronisable::getSynchronisable(objectID)!=0 )
+      if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
       {
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1, mt2, mt3);
@@ -184,5 +184,5 @@
     inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4)
     {
-      if ( Synchronisable::getSynchronisable(objectID)!=0 )
+      if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
       {
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1, mt2, mt3, mt4);
@@ -194,5 +194,5 @@
     inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5)
     {
-      if ( Synchronisable::getSynchronisable(objectID)!=0 )
+      if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
       {
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1, mt2, mt3, mt4, mt5);
Index: code/branches/cpp11_v2/src/libraries/network/NetworkFunctionManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/NetworkFunctionManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/NetworkFunctionManager.cc	(revision 10768)
@@ -32,5 +32,5 @@
 namespace orxonox
 {
-    NetworkFunctionManager* NetworkFunctionManager::singletonPtr_s = 0;
+    NetworkFunctionManager* NetworkFunctionManager::singletonPtr_s = nullptr;
 
     void NetworkFunctionManager::registerFunction(NetworkFunctionBase* function)
Index: code/branches/cpp11_v2/src/libraries/network/Server.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/Server.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/Server.cc	(revision 10768)
@@ -194,5 +194,5 @@
   void Server::printRTT()
   {
-//     for( ClientInformation* temp=ClientInformation::getBegin(); temp!=0; temp=temp->next() )
+//     for( ClientInformation* temp=ClientInformation::getBegin(); temp!=nullptr; temp=temp->next() )
 //       orxout(message) << "Round trip time to client with ID: " << temp->getID() << " is " << temp->getRTT() << " ms" << endl;
   }
Index: code/branches/cpp11_v2/src/libraries/network/TrafficControl.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/TrafficControl.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/TrafficControl.cc	(revision 10768)
@@ -64,5 +64,5 @@
 *Initializing protected members
 */
-    TrafficControl *TrafficControl::instance_=0;
+    TrafficControl *TrafficControl::instance_=nullptr;
 
     /**
@@ -72,5 +72,5 @@
     {
     RegisterObject(TrafficControl);
-      assert(instance_==0);
+      assert(instance_==nullptr);
       instance_=this;
     this->setConfigValues();
@@ -78,9 +78,9 @@
 
     /**
-    * @brief Destructor: resets the instance pointer to 0
+    * @brief Destructor: resets the instance pointer to nullptr
     */
     TrafficControl::~TrafficControl()
     {
-      instance_=0;
+      instance_=nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.cc	(revision 10768)
@@ -106,5 +106,5 @@
 {
   uint32_t tempsize=0, currentsize=0;
-  assert(data_==0);
+  assert(data_==nullptr);
   uint32_t size = calcGamestateSize(id, mode);
 
Index: code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.h	(revision 10768)
@@ -54,5 +54,5 @@
 {
   public:
-    GamestateHeader(){ data_=0; }
+    GamestateHeader(){ data_=nullptr; }
     GamestateHeader(uint8_t* data)
       { assert(data); data_ = data; *(uint32_t*)data_ = Type::Gamestate; }
Index: code/branches/cpp11_v2/src/libraries/network/packet/Packet.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/Packet.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/packet/Packet.cc	(revision 10768)
@@ -69,6 +69,6 @@
   packetDirection_ = Direction::Outgoing;
   peerID_=0;
-  data_=0;
-  enetPacket_=0;
+  data_=nullptr;
+  enetPacket_=nullptr;
   bDataENetAllocated_ = false;
 }
@@ -80,5 +80,5 @@
   peerID_=peerID;
   data_=data;
-  enetPacket_=0;
+  enetPacket_=nullptr;
   bDataENetAllocated_ = false;
 }
@@ -95,5 +95,5 @@
     memcpy(data_, p.data_, p.getSize());
   }else
-    data_=0;
+    data_=nullptr;
   bDataENetAllocated_ = p.bDataENetAllocated_;
 }
@@ -175,5 +175,5 @@
 #endif
 //  ENetPacket *temp = enetPacket_;
-//  enetPacket_ = 0; // otherwise we have a double free because enet already handles the deallocation of the packet
+//  enetPacket_ = nullptr; // otherwise we have a double free because enet already handles the deallocation of the packet
   if( this->flags_ & PacketFlag::Reliable )
     host->addPacket( enetPacket_, peerID_, NETWORK_CHANNEL_DEFAULT);
@@ -191,5 +191,5 @@
 //   if( peerID==static_cast<unsigned int>(-2))
 //     peerID = NETWORK_PEER_ID_SERVER;
-  Packet *p = 0;
+  Packet *p = nullptr;
 //   orxout(verbose_ultra, context::packets) << "packet type: " << *(Type::Value *)&data[_PACKETID] << endl;
   switch( *(Type::Value *)(data + _PACKETID) )
@@ -251,5 +251,5 @@
   assert(it != packetMap_.end());
   // Make sure we don't delete it again in the destructor
-  it->second->enetPacket_ = 0;
+  it->second->enetPacket_ = nullptr;
   delete it->second;
   packetMap_.erase(it);
Index: code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 10768)
@@ -140,5 +140,5 @@
     {
       mem += header.getDataSize() + header.getSize();
-      return 0;
+      return nullptr;
     }
 //     assert( !header.isDiffed() );
@@ -156,5 +156,5 @@
     }
     assert(id);
-    Context* context = 0;
+    Context* context = nullptr;
     if (header.getContextID() != OBJECTID_UNKNOWN)
     {
@@ -164,5 +164,5 @@
         mem += header.getDataSize()+SynchronisableHeader::getSize(); //.TODO: this suckz.... remove size from header
         assert(0); // TODO: uncomment this if we have a clean objecthierarchy (with destruction of children of objects) ^^
-        return 0;
+        return nullptr;
       }
       else
@@ -172,5 +172,5 @@
       context = Context::getRootContext();
 
-    assert(getSynchronisable(header.getObjectID())==0);   //make sure no object with this id exists
+    assert(getSynchronisable(header.getObjectID())==nullptr);   //make sure no object with this id exists
     BaseObject *bo = orxonox_cast<BaseObject*>(id->fabricate(context));
     assert(bo);
Index: code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.h	(revision 10768)
@@ -171,6 +171,6 @@
   protected:
     Synchronisable(Context* context);
-    template <class T> void registerVariable(T& variable, uint8_t mode=0x1, NetworkCallbackBase *cb=0, bool bidirectional=false);
-    template <class T> void registerVariable(std::set<T>& variable, uint8_t mode=0x1, NetworkCallbackBase *cb=0, bool bidirectional=false);
+    template <class T> void registerVariable(T& variable, uint8_t mode=0x1, NetworkCallbackBase *cb=nullptr, bool bidirectional=false);
+    template <class T> void registerVariable(std::set<T>& variable, uint8_t mode=0x1, NetworkCallbackBase *cb=nullptr, bool bidirectional=false);
     template <class T> void unregisterVariable(T& var);
 
Index: code/branches/cpp11_v2/src/libraries/network/synchronisable/SynchronisableVariable.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/synchronisable/SynchronisableVariable.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/synchronisable/SynchronisableVariable.h	(revision 10768)
@@ -71,5 +71,5 @@
   {
     public:
-      SynchronisableVariable(T& variable, uint8_t syncDirection=VariableDirection::ToClient, NetworkCallbackBase *cb=0);
+      SynchronisableVariable(T& variable, uint8_t syncDirection=VariableDirection::ToClient, NetworkCallbackBase *cb=nullptr);
       virtual ~SynchronisableVariable();
 
@@ -89,5 +89,5 @@
   {
     public:
-      SynchronisableVariableBidirectional(T& variable, uint8_t master=Bidirectionality::ServerMaster, NetworkCallbackBase *cb=0);
+      SynchronisableVariableBidirectional(T& variable, uint8_t master=Bidirectionality::ServerMaster, NetworkCallbackBase *cb=nullptr);
       virtual ~SynchronisableVariableBidirectional();
 
Index: code/branches/cpp11_v2/src/libraries/tools/BillboardSet.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/BillboardSet.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/tools/BillboardSet.cc	(revision 10768)
@@ -46,5 +46,5 @@
     BillboardSet::BillboardSet()
     {
-        this->billboardSet_ = 0;
+        this->billboardSet_ = nullptr;
     }
 
@@ -81,5 +81,5 @@
         {
             orxout(internal_error) << "Couldn't load billboard \"" << file << '"' << endl;
-            this->billboardSet_ = 0;
+            this->billboardSet_ = nullptr;
         }
 
@@ -104,5 +104,5 @@
         {
             orxout(internal_error) << "Couldn't load billboard \"" << file << '"' << endl;
-            this->billboardSet_ = 0;
+            this->billboardSet_ = nullptr;
         }
 
@@ -114,5 +114,5 @@
         if (this->billboardSet_ && this->scenemanager_)
             this->scenemanager_->destroyBillboardSet(this->billboardSet_);
-        this->billboardSet_ = 0;
+        this->billboardSet_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc	(revision 10768)
@@ -21,5 +21,5 @@
 {
     DebugDrawer::DebugDrawer(Ogre::SceneManager *_sceneManager, float _fillAlpha) :
-            sceneManager(_sceneManager), fillAlpha(_fillAlpha), manualObject(0), isEnabled(true), linesIndex(0), trianglesIndex(0)
+            sceneManager(_sceneManager), fillAlpha(_fillAlpha), manualObject(nullptr), isEnabled(true), linesIndex(0), trianglesIndex(0)
     {
         initialise();
Index: code/branches/cpp11_v2/src/libraries/tools/Mesh.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/Mesh.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/tools/Mesh.cc	(revision 10768)
@@ -44,5 +44,5 @@
     Mesh::Mesh()
     {
-        this->entity_ = 0;
+        this->entity_ = nullptr;
         this->bCastShadows_ = true;
     }
@@ -73,5 +73,5 @@
             {
                 orxout(internal_error) << "Couldn't load mesh \"" << meshsource << '"' << endl;
-                this->entity_ = 0;
+                this->entity_ = nullptr;
             }
         }
Index: code/branches/cpp11_v2/src/libraries/tools/ParticleInterface.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/ParticleInterface.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/tools/ParticleInterface.cc	(revision 10768)
@@ -59,5 +59,5 @@
 
         this->scenemanager_ = scenemanager;
-        this->particleSystem_ = 0;
+        this->particleSystem_ = nullptr;
 
         this->bEnabled_ = true;
@@ -80,5 +80,5 @@
             {
                 orxout(internal_error) << "Couldn't load particle system \"" << templateName << '"' << endl;
-                this->particleSystem_ = 0;
+                this->particleSystem_ = nullptr;
             }
         }
@@ -110,5 +110,5 @@
         }
         else
-            return 0;
+            return nullptr;
     }
     Ogre::ParticleEmitter* ParticleInterface::getEmitter(unsigned int emitterNr) const
@@ -117,5 +117,5 @@
             return this->particleSystem_->getEmitter(emitterNr);
         else
-            return 0;
+            return nullptr;
     }
     void ParticleInterface::removeEmitter(unsigned int emitterNr)
@@ -142,5 +142,5 @@
             return this->particleSystem_->addAffector(name);
         else
-            return 0;
+            return nullptr;
     }
     Ogre::ParticleAffector* ParticleInterface::getAffector(unsigned int affectorNr)
@@ -149,5 +149,5 @@
             return this->particleSystem_->getAffector(affectorNr);
         else
-            return 0;
+            return nullptr;
     }
     void ParticleInterface::removeAffector(unsigned int affectorNr)
Index: code/branches/cpp11_v2/src/libraries/tools/Shader.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/Shader.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/tools/Shader.cc	(revision 10768)
@@ -44,5 +44,5 @@
         @brief Initializes the values and sets the scene manager.
     */
-    Shader::Shader(Ogre::SceneManager* scenemanager) : compositorInstance_(0)
+    Shader::Shader(Ogre::SceneManager* scenemanager) : compositorInstance_(nullptr)
     {
         RegisterObject(Shader);
@@ -127,5 +127,5 @@
                 Ogre::CompositorManager::getSingleton().removeCompositor(viewport, this->oldcompositorName_);
                 this->compositorInstance_->removeListener(this);
-                this->compositorInstance_ = 0;
+                this->compositorInstance_ = nullptr;
             }
             if (!this->compositorName_.empty())
Index: code/branches/cpp11_v2/src/libraries/tools/Shader.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/Shader.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/tools/Shader.h	(revision 10768)
@@ -48,5 +48,5 @@
     {
         public:
-            Shader(Ogre::SceneManager* scenemanager = 0);
+            Shader(Ogre::SceneManager* scenemanager = nullptr);
             virtual ~Shader();
 
Index: code/branches/cpp11_v2/src/libraries/tools/Timer.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/Timer.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/tools/Timer.cc	(revision 10768)
@@ -163,5 +163,5 @@
     void Timer::init()
     {
-        this->executor_ = 0;
+        this->executor_ = nullptr;
         this->interval_ = 0;
         this->bLoop_ = false;
Index: code/branches/cpp11_v2/src/libraries/util/Math.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/Math.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/util/Math.h	(revision 10768)
@@ -200,5 +200,5 @@
     template <> inline long double          zeroise<long double>()          { return 0; }
     template <> inline bool                 zeroise<bool>()                 { return 0; }
-    template <> inline void*                zeroise<void*>()                { return 0; }
+    template <> inline void*                zeroise<void*>()                { return nullptr; }
     template <> inline std::string          zeroise<std::string>()          { return std::string(); }
     template <> inline orxonox::Radian      zeroise<orxonox::Radian>()      { return orxonox::Radian(0.0f); }
Index: code/branches/cpp11_v2/src/libraries/util/MultiType.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/MultiType.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/util/MultiType.h	(revision 10768)
@@ -266,10 +266,10 @@
 
             /// Default constructor: Assigns no value and no type. The type will be determined by the first assignment of a value.
-            inline MultiType()                       : value_(0) { }
+            inline MultiType()                       : value_(nullptr) { }
             /// Constructor: Assigns the given value and sets the type.
             template <typename V>
-            inline MultiType(const V& value)         : value_(0) { this->set(value); }
+            inline MultiType(const V& value)         : value_(nullptr) { this->set(value); }
             /// Copyconstructor: Assigns value and type of the other MultiType.
-            inline MultiType(const MultiType& other) : value_(0) { this->set(other); }
+            inline MultiType(const MultiType& other) : value_(nullptr) { this->set(other); }
 
             /// Destructor: Deletes the MT_Value.
@@ -325,5 +325,5 @@
                 if (this->value_)
                     delete this->value_;
-                this->value_ = (other.value_) ? other.value_->clone() : 0;
+                this->value_ = (other.value_) ? other.value_->clone() : nullptr;
             }
 
@@ -332,5 +332,5 @@
 
             /// Resets value and type. Type will be void afterwards and null() returns true.
-            inline void reset() { if (this->value_) delete this->value_; this->value_ = 0; }
+            inline void reset() { if (this->value_) delete this->value_; this->value_ = nullptr; }
             /// Resets the value and changes the internal type to T.
             template <typename T> inline void reset() { this->assignValue(typename Loki::TypeTraits<T>::UnqualifiedReferredType()); }
@@ -486,5 +486,5 @@
     template <> inline long double          MultiType::get() const { return (this->value_ ? this->value_->get<long double>()          : 0); }
     template <> inline bool                 MultiType::get() const { return (this->value_ ? this->value_->get<bool>()                 : 0); }
-    template <> inline void*                MultiType::get() const { return (this->value_ ? this->value_->get<void*>()                : 0); }
+    template <> inline void*                MultiType::get() const { return (this->value_ ? this->value_->get<void*>()                : nullptr); }
     template <> inline std::string          MultiType::get() const { return (this->value_ ? this->value_->get<std::string>()          : NilValue<std::string>()); }
     template <> inline orxonox::Vector2     MultiType::get() const { return (this->value_ ? this->value_->get<orxonox::Vector2>()     : NilValue<orxonox::Vector2>()); }
Index: code/branches/cpp11_v2/src/libraries/util/MultiTypeValue.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/MultiTypeValue.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/util/MultiTypeValue.h	(revision 10768)
@@ -77,5 +77,5 @@
         inline bool getValue(long double*          value) const { return convertValue<T, long double         >(value, value_, 0); } ///< Assigns the value to the given pointer. The value gets converted if the types don't match.
         inline bool getValue(bool*                 value) const { return convertValue<T, bool                >(value, value_, 0); } ///< Assigns the value to the given pointer. The value gets converted if the types don't match.
-        inline bool getValue(void**                value) const { return convertValue<T, void*               >(value, value_, 0); } ///< Assigns the value to the given pointer. The value gets converted if the types don't match.
+        inline bool getValue(void**                value) const { return convertValue<T, void*               >(value, value_, nullptr); } ///< Assigns the value to the given pointer. The value gets converted if the types don't match.
         inline bool getValue(std::string*          value) const { return convertValue<T, std::string         >(value, value_, NilValue<std::string>         ()); } ///< Assigns the value to the given pointer. The value gets converted if the types don't match.
         inline bool getValue(orxonox::Vector2*     value) const { return convertValue<T, orxonox::Vector2    >(value, value_, NilValue<orxonox::Vector2>    ()); } ///< Assigns the value to the given pointer. The value gets converted if the types don't match.
Index: code/branches/cpp11_v2/src/libraries/util/SharedPtr.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/SharedPtr.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/util/SharedPtr.h	(revision 10768)
@@ -216,10 +216,10 @@
         public:
             /// Default constructor, the pointer is set to nullptr.
-            inline SharedPtr() : pointer_(0), counter_(0)
+            inline SharedPtr() : pointer_(nullptr), counter_(nullptr)
             {
             }
 
             /// Constructor, creates a SharedPtr that points to @a pointer, increments the counter.
-            inline SharedPtr(T* pointer) : pointer_(pointer), counter_(0)
+            inline SharedPtr(T* pointer) : pointer_(pointer), counter_(nullptr)
             {
                 if (this->pointer_)
@@ -293,5 +293,5 @@
             inline T* operator->() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return this->pointer_;
             }
@@ -300,5 +300,5 @@
             inline T& operator*() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return *this->pointer_;
             }
@@ -313,5 +313,5 @@
             inline operator bool() const
             {
-                return (this->pointer_ != 0);
+                return (this->pointer_ != nullptr);
             }
 
Index: code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc	(revision 10768)
@@ -127,5 +127,5 @@
       }
       // if the signalhandler has already been destroyed then don't do anything
-      if( SignalHandler::singletonPtr_s == 0 )
+      if( SignalHandler::singletonPtr_s == nullptr )
       {
         orxout(user_error) << "Received signal " << sigName.c_str() << endl << "Can't write backtrace because SignalHandler is already destroyed" << endl;
@@ -430,5 +430,5 @@
 
             // if the signalhandler has already been destroyed then don't do anything
-            if (SignalHandler::singletonPtr_s == 0)
+            if (SignalHandler::singletonPtr_s == nullptr)
             {
                 orxout(user_error) << "Caught an unhandled exception" << endl << "Can't write backtrace because SignalHandler is already destroyed" << endl;
Index: code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc	(revision 10768)
@@ -45,5 +45,5 @@
         this->chunkSize_ = std::max(objectSize, sizeof(Chunk)); // the chunk's size will be the maximum of the object's size and the size of a Chunk object itself
         this->numChunksPerBlock_ = numObjects;
-        this->first_ = 0;
+        this->first_ = nullptr;
     }
 
@@ -98,5 +98,5 @@
 
             // the next_ pointer of the last chunk must point to nullptr
-            setNext(block + (this->numChunksPerBlock_ - 1) * this->chunkSize_, 0);
+            setNext(block + (this->numChunksPerBlock_ - 1) * this->chunkSize_, nullptr);
 
             // The second chunk in the block is assigned to the first_ pointer
Index: code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc	(revision 10768)
@@ -57,7 +57,7 @@
 
         this->isInitialized_ = false;
-        this->memoryWriterInstance_ = 0;
-        this->consoleWriterInstance_ = 0;
-        this->logWriterInstance_ = 0;
+        this->memoryWriterInstance_ = nullptr;
+        this->consoleWriterInstance_ = nullptr;
+        this->logWriterInstance_ = nullptr;
 
         // register 'undefined' context in order to give it always the first context-ID
